Subject: Re: bug#931: 23.0.60; Bug in bytecomp.el: displaying warnings

From: martin rudalics <[email-masked]>
Date: Fri, 12 Sep 2008 20:04:59 +0200

> I've fixed this so set-window-buffer should never change
 > current-buffer now.  Does it fix the OP's original problem?

Keeping my fingers still crossed for that change, so I can't type much
today ;-)

FWIW it fixes the original problem but we should show *Compile-Log*
instead of the original buffer when compilation finishes.  As I
suggested earlier `displaying-byte-compile-warnings' could do that when
`pop-up-windows' is nil (maybe only if a critical bug has been found).
This could be a wishlist item.

martin